{
    num: -32158,
    accuracy: 100,
    basePower: 60,
    category: "Special",
    name: "Suppression",
    pp: 10,
    priority: 0,
    flags: { protect: 1, mirror: 1, metronome: 1 },
    onHit(target) {
      if (target.getAbility().flags["cantsuppress"])
        return;
      target.addVolatile("gastroacid");
    },
    onAfterSubDamage(damage, target) {
      if (target.getAbility().flags["cantsuppress"])
        return;
      target.addVolatile("gastroacid");
    },
    secondary: null,
    target: "normal",
    type: "Psychic",
    contestType: "Clever"
}